# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b1653"
os.chdir("/home/malb/.sage/sage_notebook/worksheets/admin/11/cells/6")
sage.server.notebook.interact.SAGE_CELL_ID=6
_sage_const_2 = Integer(Integer(2)); _sage_const_1 = Integer(Integer(1)); _sage_const_0 = Integer(Integer(0)); _sage_const_5 = Integer(Integer(5)); _sage_const_p5 = RealNumber('.5'); _sage_const_80 = Integer(Integer(80)); _sage_const_12 = Integer(Integer(12))
reset('e')
x = var('x')
f   = sin(x)*e**(-x)
p   = plot(f,-_sage_const_1 ,_sage_const_5 , thickness=_sage_const_2 )
@interact
def _(order=(ellipsis_iter(_sage_const_1 ,Ellipsis,_sage_const_12 )), x0=input_box("0",label="x_0")):
  x0 = int(x0)
  dot = point((x0,f(x0)),pointsize=_sage_const_80 ,rgbcolor=(_sage_const_1 ,_sage_const_0 ,_sage_const_0 ))
  ft = f.taylor(x,x0,order)
  pt = plot(ft,-_sage_const_1 , _sage_const_5 , color='green', thickness=_sage_const_2 )
  html('$f(x)\;=\;%s$'%latex(f))
  html('$\hat{f}(x;%s)\;=\;%s+\mathcal{O}(x^{%s})$'%(x0,latex(ft),order+_sage_const_1 ))
  show(dot + p + pt, ymin = -_sage_const_p5 , ymax = _sage_const_1 )

print "e1653"
